## python-geopandas 0.1.1

=== requirements.txt ===
Cython>=0.16
shapely>=1.2.18
fiona>=1.0.1
pyproj>=1.9.3
six>=1.3.0

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/GeoPandas.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/GeoPandas.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/GeoPandas"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/GeoPandas"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
python-geopandas (0.1.1-3) unstable; urgency=medium

  * Team upload.
  * Update Vcs-Git URL to use HTTPS.
  * Bump Standards-Version to 3.9.7, no changes.
  * Add dependencies on imported modules (pandas, shapely, fiona, etc).
    (closes: #814938)
  * Enable parallel builds.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 16 Feb 2016 22:14:04 +0100

python-geopandas (0.1.1-2) unstable; urgency=medium

  * Team upload.
  * Fix Vcs-* URLs, rename repo from geopandas to python-geopandas.
  * Add patch to increase tolerance to fix plotting test failure.
    (closes: #792589)
  * Update Vcs-Browser URL to use HTTPS.
  * Add upstream metadata.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 20 Nov 2015 20:02:38 +0100

python-geopandas (0.1.1-1) unstable; urgency=medium

  * Initial release (Closes: #773394)

 -- Johan Van de Wauw <johan.vandewauw@gmail.com>  Tue, 09 Jun 2015 20:19:05 +0200

=== debian/control ===
Source: python-geopandas
Section: python
Priority: optional
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Johan Van de Wauw <johan.vandewauw@gmail.com>
Build-Depends: debhelper (>= 9),
               dh-python,
               gdal-bin,
               python-all,
               python3-all,
               python-descartes,
               python3-descartes,
               python-fiona,
               python3-fiona,
               python-matplotlib,
               python3-matplotlib,
               python-nose,
               python3-nose,
               python-pandas,
               python3-pandas,
               python-pyproj,
               python3-pyproj,
               python-pytest,
               python3-pytest,
               python-shapely,
               python3-shapely,
               python-sphinx
Standards-Version: 3.9.7
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/python-geopandas.git/
Vcs-Git: https://anonscm.debian.org/git/pkg-grass/python-geopandas.git
Homepage: http://www.geopandas.org

Package: python-geopandas
Architecture: all 
Depends: python-fiona,
         python-numpy,
         python-pandas,
         python-pyproj,
         python-shapely,
         python-six,
         ${python:Depends},
         ${misc:Depends}
Suggests: python-geopy
Description: Python tools for geographic data
 GeoPandas is a project to add support for geographic data to
 pandas objects.  It currently implements
 `GeoSeries` and `GeoDataFrame` types which are subclasses of
 `pandas.Series` and `pandas.DataFrame` respectively.  GeoPandas
 objects can act on shapely  geometry objects and perform geometric operations.
 .
 GeoPandas geometry operations are cartesian.  The coordinate reference
 system (crs) can be stored as an attribute on an object, and is
 automatically set when loading from a file.  Objects may be
 transformed to new coordinate systems with the `to_crs()` method.
 There is currently no enforcement of like coordinates for operations,
 but that may change in the future.


Package: python3-geopandas
Architecture: all
Depends: python3-fiona,
         python3-numpy,
         python3-pandas,
         python3-pyproj,
         python3-shapely,
         python3-six,
         ${python3:Depends},
         ${misc:Depends}
Suggests: python3-geopy
Description: Python3 tools for geographic data
 GeoPandas is a project to add support for geographic data to
 pandas objects.  It currently implements
 `GeoSeries` and `GeoDataFrame` types which are subclasses of
 `pandas.Series` and `pandas.DataFrame` respectively.  GeoPandas
 objects can act on shapely  geometry objects and perform geometric operations.
 .
 GeoPandas geometry operations are cartesian.  The coordinate reference
 system (crs) can be stored as an attribute on an object, and is
 automatically set when loading from a file.  Objects may be
 transformed to new coordinate systems with the `to_crs()` method.
 There is currently no enforcement of like coordinates for operations,
 but that may change in the future.
 .
 This package contains the Python3 version of the library

Package: python-geopandas-doc
Architecture: all
Depends: ${sphinxdoc:Depends},
         ${misc:Depends}
Section: doc
Description: Documentation for the geopandas library
 GeoPandas is a project to add support for geographic data to
 pandas objects.  It currently implements
 `GeoSeries` and `GeoDataFrame` types which are subclasses of
 `pandas.Series` and `pandas.DataFrame` respectively.  GeoPandas
 objects can act on shapely  geometry objects and perform geometric operations.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=geopandas
export PYBUILD_TEST_PYTEST=1
export PYBUILD_BEFORE_TEST=cp -r {dir}/tests {build_dir} ;cp -r {dir}/examples {build_dir};cp -r {dir}/debian/*.zip {build_dir}/examples/
export PYBUILD_AFTER_TEST=rm -rf {build_dir}/examples {build_dir}/tests
#disable geopy test as these require online access
export PYBUILD_TEST_ARGS=tests -k "not test_geocode"

%:
	dh  $@ --with python2,python3,sphinxdoc --buildsystem pybuild --parallel

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -bhtml doc/source build/html # HTML generator

override_dh_clean:
	dh_clean
	rm -f geopandas/version.py

=== debian/watch ===
version=3
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/,\
filenamemangle=s/(?:.*)?v(\d[\d\.]*)\.tar\.gz/geopandas-$1.tar.gz/ \
https://github.com/geopandas/geopandas/tags \
(?:.*/)?(?:rel|v|geopandas)[\-\_]?(\d[\d\-\.]+)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-geopandas 0.2.1

=== requirements.txt ===
Cython>=0.16
shapely>=1.2.18
fiona>=1.0.1
pyproj>=1.9.3
six>=1.3.0
# for Python 2.6 (environment marker support as of pip 6.0)
unittest2 ; python_version < '2.7'
ordereddict ; python_version < '2.7'

=== debian/changelog ===
python-geopandas (0.2.1-3) unstable; urgency=medium

  * Team upload.
  * Ignore test failures on i386, package not normally built there.
    (closes: #860621)

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 19 Apr 2017 10:28:22 +0200

python-geopandas (0.2.1-2) unstable; urgency=medium

  * Team upload.
  * Skip test that fails on Travis, fails on Debian too.
    (closes: #849934)

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 02 Jan 2017 19:37:48 +0100

python-geopandas (0.2.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Add PySAL to build dependencies & Recommends.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 31 Jul 2016 00:44:10 +0200

python-geopandas (0.2-2) unstable; urgency=medium

  * Team upload.
  * Add build dependency on python-sphinx-rtd-theme.
    (closes: #828132)

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 25 Jun 2016 12:48:02 +0200

python-geopandas (0.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Override dh_python{2,3} to call dh_numpy{,3} too.
  * Update watch file to handle more tag conventions in filenamemangle.
  * Add python{,3}-{descartes,geopy,matplotlib,psycopg2,rtree} to Recommends.
  * Add additional build dependencies: cython{,3}, ipython{,3} &
    python{,3}-{geopy,mock,psycopg2,pytest-cov,rtree,six,sqlalchemy}.
  * Install examples in documentation package.
  * Update copyright file, changes:
    - Update copyright years for Geopandas developers
    - Add license & copyright for versioneer.py & nybb_16a.zip
  * Bump Standards-Version to 3.9.8, no changes.
  * Drop patches, applied upstream.
  * Use nosetests instead of pytest.
  * Don't install naturalearth_cities.README.html, privacy breach issues.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 11 Jun 2016 00:39:18 +0200

=== debian/control ===
--- 
+++ 
@@ -6,41 +6,68 @@
 Build-Depends: debhelper (>= 9),
                dh-python,
                gdal-bin,
+               cython,
+               cython3,
+               ipython,
+               ipython3,
                python-all,
                python3-all,
                python-descartes,
                python3-descartes,
                python-fiona,
                python3-fiona,
+               python-geopy,
+               python3-geopy,
                python-matplotlib,
                python3-matplotlib,
+               python-mock,
+               python3-mock,
                python-nose,
                python3-nose,
+               python-numpy,
+               python3-numpy,
                python-pandas,
                python3-pandas,
+               python-psycopg2,
+               python3-psycopg2,
                python-pyproj,
                python3-pyproj,
+               python-pysal (>= 1.11.2-3~),
+               python3-pysal (>= 1.11.2-3~),
+               python-pytest-cov,
+               python3-pytest-cov,
                python-pytest,
                python3-pytest,
+               python-rtree,
+               python3-rtree,
+               python-six,
+               python3-six,
                python-shapely,
                python3-shapely,
-               python-sphinx
-Standards-Version: 3.9.7
+               python-sqlalchemy,
+               python3-sqlalchemy,
+               python-sphinx,
+               python-sphinx-rtd-theme
+Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/python-geopandas.git/
 Vcs-Git: https://anonscm.debian.org/git/pkg-grass/python-geopandas.git
 Homepage: http://www.geopandas.org
 
 Package: python-geopandas
-Architecture: all 
+Architecture: all
 Depends: python-fiona,
-         python-numpy,
          python-pandas,
          python-pyproj,
          python-shapely,
          python-six,
          ${python:Depends},
          ${misc:Depends}
-Suggests: python-geopy
+Recommends: python-descartes,
+            python-geopy,
+            python-matplotlib,
+            python-psycopg2,
+            python-pysal,
+            python-rtree
 Description: Python tools for geographic data
  GeoPandas is a project to add support for geographic data to
  pandas objects.  It currently implements
@@ -54,19 +81,24 @@
  transformed to new coordinate systems with the `to_crs()` method.
  There is currently no enforcement of like coordinates for operations,
  but that may change in the future.
-
+ .
+ This package contains the Python 2 version of the library.
 
 Package: python3-geopandas
 Architecture: all
 Depends: python3-fiona,
-         python3-numpy,
          python3-pandas,
          python3-pyproj,
          python3-shapely,
          python3-six,
          ${python3:Depends},
          ${misc:Depends}
-Suggests: python3-geopy
+Recommends: python3-descartes,
+            python3-geopy,
+            python3-matplotlib,
+            python3-psycopg2,
+            python3-pysal,
+            python3-rtree
 Description: Python3 tools for geographic data
  GeoPandas is a project to add support for geographic data to
  pandas objects.  It currently implements
@@ -81,7 +113,7 @@
  There is currently no enforcement of like coordinates for operations,
  but that may change in the future.
  .
- This package contains the Python3 version of the library
+ This package contains the Python 3 version of the library.
 
 Package: python-geopandas-doc
 Architecture: all
@@ -94,3 +126,13 @@
  `GeoSeries` and `GeoDataFrame` types which are subclasses of
  `pandas.Series` and `pandas.DataFrame` respectively.  GeoPandas
  objects can act on shapely  geometry objects and perform geometric operations.
+ .
+ GeoPandas geometry operations are cartesian.  The coordinate reference
+ system (crs) can be stored as an attribute on an object, and is
+ automatically set when loading from a file.  Objects may be
+ transformed to new coordinate systems with the `to_crs()` method.
+ There is currently no enforcement of like coordinates for operations,
+ but that may change in the future.
+ .
+ This package contains the GeoPandas documentation.
+

=== debian/rules ===
#!/usr/bin/make -f

DEB_BUILD_ARCH ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)

export PYBUILD_NAME=geopandas

%:
	dh  $@ --with python2,python3,sphinxdoc --buildsystem pybuild --parallel

override_dh_clean:
	dh_clean
	rm -f geopandas/version.py

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -bhtml doc/source build/html # HTML generator

override_dh_auto_test:
	# Disable geocode tests as these require online access
	cp -v debian/nybb_*.zip examples/

# Ignore test failures on problematic architectures only
ifneq (,$(findstring $(DEB_BUILD_ARCH),"i386"))
	PYBUILD_SYSTEM=custom \
	PYBUILD_TEST_ARGS="TRAVIS=1 nosetests -v -e test_geocode.py" dh_auto_test || echo "Ignoring test failures"
else
	PYBUILD_SYSTEM=custom \
	PYBUILD_TEST_ARGS="TRAVIS=1 nosetests -v -e test_geocode.py" dh_auto_test
endif

	rm -f examples/nybb_*.zip

override_dh_auto_install:
	dh_auto_install
	# Remove README with privacy-breach issues
	$(RM) debian/*/usr/lib/python*/dist-packages/geopandas/datasets/naturalearth_cities/naturalearth_cities.README.html

override_dh_python2:
	dh_python2 -ppython-geopandas
	dh_numpy -ppython-geopandas

override_dh_python3:
	dh_python3 -ppython3-geopandas
	dh_numpy3 -ppython3-geopandas

## python-geopandas 0.3.0

=== debian/changelog ===
python-geopandas (0.3.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Drop patches, included upstream.
  * Remove obsolete TRAVIS env var from test commands.
  * Use pytest instead of nosetest to not fail all tests.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 29 Aug 2017 12:15:26 +0200

python-geopandas (0.2.1-4) unstable; urgency=medium

  * Team upload.
  * Add patch to remove usage of assert_isinstance from pandas.
    (closes: #868964)
  * Bump Standards-Version to 4.0.0, no changes.
  * Add autopkgtest to test installability.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 20 Jul 2017 17:28:53 +0200

=== debian/control ===
--- 
+++ 
@@ -48,7 +48,7 @@
                python3-sqlalchemy,
                python-sphinx,
                python-sphinx-rtd-theme
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/python-geopandas.git/
 Vcs-Git: https://anonscm.debian.org/git/pkg-grass/python-geopandas.git
 Homepage: http://www.geopandas.org

=== debian/rules ===
--- 
+++ 
@@ -16,16 +16,19 @@
 	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -bhtml doc/source build/html # HTML generator
 
 override_dh_auto_test:
-	# Disable geocode tests as these require online access
 	cp -v debian/nybb_*.zip examples/
 
 # Ignore test failures on problematic architectures only
 ifneq (,$(findstring $(DEB_BUILD_ARCH),"i386"))
-	PYBUILD_SYSTEM=custom \
-	PYBUILD_TEST_ARGS="TRAVIS=1 nosetests -v -e test_geocode.py" dh_auto_test || echo "Ignoring test failures"
+	PYBUILD_BEFORE_TEST="cp -rv examples/ {build_dir}" \
+	PYBUILD_AFTER_TEST="rm -rfv {build_dir}/examples/" \
+	PYBUILD_TEST_ARGS="-v --ignore=geopandas/tests/test_geocode.py --ignore=geopandas/tests/test_plotting.py" \
+	dh_auto_test || echo "Ignoring test failures"
 else
-	PYBUILD_SYSTEM=custom \
-	PYBUILD_TEST_ARGS="TRAVIS=1 nosetests -v -e test_geocode.py" dh_auto_test
+	PYBUILD_BEFORE_TEST="cp -rv examples/ {build_dir}" \
+	PYBUILD_AFTER_TEST="rm -rfv {build_dir}/examples/" \
+	PYBUILD_TEST_ARGS="-v --ignore=geopandas/tests/test_geocode.py --ignore=geopandas/tests/test_plotting.py" \
+	dh_auto_test
 endif
 
 	rm -f examples/nybb_*.zip

=== debian/watch ===
version=3
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/,\
filenamemangle=s/(?:.*\/)?(?:rel|v|geopandas)[\-\_]?(\d[\d\-\.]+)\.tar\.gz/geopandas-$1.tar.gz/ \
https://github.com/geopandas/geopandas/tags \
(?:.*/)?(?:rel|v|geopandas)[\-\_]?(\d[\d\-\.]+)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-geopandas 0.4.0

=== doc/Makefile ===
--- 
+++ 
@@ -40,6 +40,7 @@
 
 clean:
 	-rm -rf $(BUILDDIR)/*
+	-rm -rf source/reference/*
 
 html:
 	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html

=== debian/changelog ===
python-geopandas (0.4.0-3) unstable; urgency=medium

  * Team upload.
  * Bump Standards-Version to 4.2.0, no changes.
  * Update watch file to use releases instead of tags.
  * Update watch file to limit matches to archive path.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 18 Aug 2018 18:24:17 +0200

python-geopandas (0.4.0-2) unstable; urgency=medium

  * Team upload.
  * Drop autopkgtest to test installability.
  * Add lintian override for testsuite-autopkgtest-missing.
  * Add override for package-contains-documentation-outside-usr-share-doc.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 01 Aug 2018 18:09:15 +0200

python-geopandas (0.4.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Add python3-sphinx to build dependencies.
  * Bump Standards-Version to 4.1.5, no changes.
  * Update copyright-format URL to use HTTPS.
  * Update Vcs-* URLs for Salsa.
  * Strip trailing whitespace from control file.
  * Update build dependencies for doc build.
  * Add patch to disable gallery, requires unpackaged dependencies.
  * Ignore test failures on all architectures.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 16 Jul 2018 12:29:56 +0200

=== debian/control ===
--- 
+++ 
@@ -12,8 +12,12 @@
                ipython3,
                python-all,
                python3-all,
+               python-cartopy,
+               python3-cartopy,
                python-descartes,
                python3-descartes,
+               python-pyepsg,
+               python3-pyepsg,
                python-fiona,
                python3-fiona,
                python-geopy,
@@ -26,6 +30,8 @@
                python3-nose,
                python-numpy,
                python3-numpy,
+               python-numpydoc,
+               python3-numpydoc,
                python-pandas,
                python3-pandas,
                python-psycopg2,
@@ -47,10 +53,14 @@
                python-sqlalchemy,
                python3-sqlalchemy,
                python-sphinx,
-               python-sphinx-rtd-theme
-Standards-Version: 4.0.0
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/python-geopandas.git/
-Vcs-Git: https://anonscm.debian.org/git/pkg-grass/python-geopandas.git
+               python3-sphinx,
+               python-sphinx-gallery,
+               python3-sphinx-gallery,
+               python-sphinx-rtd-theme,
+               python3-sphinx-rtd-theme
+Standards-Version: 4.2.0
+Vcs-Browser: https://salsa.debian.org/debian-gis-team/python-geopandas/
+Vcs-Git: https://salsa.debian.org/debian-gis-team/python-geopandas.git
 Homepage: http://www.geopandas.org
 
 Package: python-geopandas
@@ -135,4 +145,3 @@
  but that may change in the future.
  .
  This package contains the GeoPandas documentation.
-

=== debian/rules ===
--- 
+++ 
@@ -18,18 +18,10 @@
 override_dh_auto_test:
 	cp -v debian/nybb_*.zip examples/
 
-# Ignore test failures on problematic architectures only
-ifneq (,$(findstring $(DEB_BUILD_ARCH),"i386"))
 	PYBUILD_BEFORE_TEST="cp -rv examples/ {build_dir}" \
 	PYBUILD_AFTER_TEST="rm -rfv {build_dir}/examples/" \
 	PYBUILD_TEST_ARGS="-v --ignore=geopandas/tests/test_geocode.py --ignore=geopandas/tests/test_plotting.py" \
 	dh_auto_test || echo "Ignoring test failures"
-else
-	PYBUILD_BEFORE_TEST="cp -rv examples/ {build_dir}" \
-	PYBUILD_AFTER_TEST="rm -rfv {build_dir}/examples/" \
-	PYBUILD_TEST_ARGS="-v --ignore=geopandas/tests/test_geocode.py --ignore=geopandas/tests/test_plotting.py" \
-	dh_auto_test
-endif
 
 	rm -f examples/nybb_*.zip

=== debian/watch ===
version=3
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/,\
filenamemangle=s/(?:.*\/)?(?:rel|v|geopandas)[\-\_]?(\d[\d\-\.]+)\.tar\.gz/geopandas-$1.tar.gz/ \
https://github.com/geopandas/geopandas/releases \
(?:.*?/archive/)?(?:rel|v|geopandas)[\-\_]?(\d[\d\-\.]+)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-geopandas 0.5.1

=== debian/changelog ===
python-geopandas (0.5.1-2) unstable; urgency=medium

  * Team upload.
  * Only build for Python 3.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 13 Jul 2019 22:09:15 +0200

python-geopandas (0.5.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump Standards-Version to 4.4.0, no changes.
  * Update copyright years for Geopandas developers.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 12 Jul 2019 06:24:43 +0200

python-geopandas (0.5.0-1) unstable; urgency=medium

  * Team upload.
  * Update gbp.conf to use --source-only-changes by default.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 08 Jul 2019 08:10:06 +0200

python-geopandas (0.5.0-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Refresh patches.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 25 Apr 2019 15:25:19 +0200

python-geopandas (0.4.1-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump Standards-Version to 4.3.0, no changes.
  * Refresh patches.
  * Copy test data in test target.
  * Drop -doc packages, fails to build correctly.
  * Ignore overlay test.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 06 Mar 2019 17:20:05 +0100

=== debian/control ===
Source: python-geopandas
Section: python
Priority: optional
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Johan Van de Wauw <johan.vandewauw@gmail.com>
Build-Depends: debhelper (>= 9),
               dh-python,
               gdal-bin,
               cython3,
               ipython3,
               python3-all,
               python3-cartopy,
               python3-descartes,
               python3-pyepsg,
               python3-fiona,
               python3-geopy,
               python3-matplotlib,
               python3-mock,
               python3-nose,
               python3-numpy,
               python3-numpydoc,
               python3-pandas,
               python3-psycopg2,
               python3-pyproj,
               python3-pysal (>= 1.11.2-3~),
               python3-pytest-cov,
               python3-pytest,
               python3-rtree,
               python3-six,
               python3-shapely,
               python3-sqlalchemy
Standards-Version: 4.4.0
Vcs-Browser: https://salsa.debian.org/debian-gis-team/python-geopandas/
Vcs-Git: https://salsa.debian.org/debian-gis-team/python-geopandas.git
Homepage: http://www.geopandas.org

Package: python3-geopandas
Architecture: all
Depends: python3-fiona,
         python3-pandas,
         python3-pyproj,
         python3-shapely,
         python3-six,
         ${python3:Depends},
         ${misc:Depends}
Recommends: python3-descartes,
            python3-geopy,
            python3-matplotlib,
            python3-psycopg2,
            python3-pysal,
            python3-rtree
Description: Python3 tools for geographic data
 GeoPandas is a project to add support for geographic data to
 pandas objects.  It currently implements
 `GeoSeries` and `GeoDataFrame` types which are subclasses of
 `pandas.Series` and `pandas.DataFrame` respectively.  GeoPandas
 objects can act on shapely  geometry objects and perform geometric operations.
 .
 GeoPandas geometry operations are cartesian.  The coordinate reference
 system (crs) can be stored as an attribute on an object, and is
 automatically set when loading from a file.  Objects may be
 transformed to new coordinate systems with the `to_crs()` method.
 There is currently no enforcement of like coordinates for operations,
 but that may change in the future.
 .
 This package contains the Python 3 version of the library.

=== debian/rules ===
#!/usr/bin/make -f

DEB_BUILD_ARCH ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)

export PYBUILD_NAME=geopandas

%:
	dh  $@ --with python3 --buildsystem pybuild --parallel

override_dh_clean:
	dh_clean
	rm -f geopandas/version.py

override_dh_auto_test:
	cp -v debian/nybb_*.zip examples/

	PYBUILD_BEFORE_TEST="cp -rv examples/ {build_dir} && mkdir -p {build_dir}/tests/ && cp -rv geopandas/tests/data/ {build_dir}/tests/" \
	PYBUILD_AFTER_TEST="rm -rfv {build_dir}/examples/ {build_dir}/tests/data/" \
	PYBUILD_TEST_ARGS="-v --ignore=geopandas/tests/test_geocode.py --ignore=geopandas/tests/test_plotting.py --ignore=geopandas/tests/test_overlay.py" \
	dh_auto_test || echo "Ignoring test failures"

	rm -f examples/nybb_*.zip

override_dh_auto_install:
	dh_auto_install
	# Remove README with privacy-breach issues
	$(RM) debian/*/usr/lib/python*/dist-packages/geopandas/datasets/naturalearth_cities/naturalearth_cities.README.html

override_dh_python3:
	dh_python3 -ppython3-geopandas
	dh_numpy3 -ppython3-geopandas

## python-geopandas 0.6.3

=== debian/changelog ===
python-geopandas (0.6.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump Standards-Version to 4.5.0, no changes.
  * Drop pysal build dependency.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 07 Feb 2020 06:41:49 +0100

python-geopandas (0.6.2-2) unstable; urgency=medium

  * Team upload.
  * Drop Name field from upstream metadata.
  * Don't install examples.
    (closes: #947266)

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 24 Dec 2019 17:48:27 +0100

python-geopandas (0.6.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Add override for package-contains-documentation-outside-usr-share-doc.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 19 Nov 2019 05:27:17 +0100

python-geopandas (0.6.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump Standards-Version to 4.4.1, no changes.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 13 Oct 2019 08:41:53 +0200

python-geopandas (0.6.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 27 Sep 2019 19:32:02 +0200

## python-geopandas 0.7.0

=== requirements.txt ===
Cython>=0.16
shapely>=1.2.18
fiona>=1.0.1
pyproj>=2.2.0

=== debian/changelog ===
python-geopandas (0.7.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Refresh patches.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 17 Feb 2020 15:17:10 +0100

=== debian/control ===
--- 
+++ 
@@ -22,14 +22,13 @@
                python3-pandas,
                python3-psycopg2,
                python3-pyproj,
-               python3-pysal (>= 1.11.2-3~),
                python3-pytest-cov,
                python3-pytest,
                python3-rtree,
                python3-six,
                python3-shapely,
                python3-sqlalchemy
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/python-geopandas/
 Vcs-Git: https://salsa.debian.org/debian-gis-team/python-geopandas.git
 Homepage: http://www.geopandas.org

=== debian/rules ===
--- 
+++ 
@@ -25,6 +25,7 @@
 	dh_auto_install
 	# Remove README with privacy-breach issues
 	$(RM) debian/*/usr/lib/python*/dist-packages/geopandas/datasets/naturalearth_cities/naturalearth_cities.README.html
+	$(RM) -r debian/*/usr/lib/python*/dist-packages/examples
 
 override_dh_python3:
 	dh_python3 -ppython3-geopandas

## python-geopandas 0.8.1

=== debian/changelog ===
python-geopandas (0.8.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 16 Jul 2020 05:39:56 +0200

python-geopandas (0.8.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump debhelper compat to 10, changes:
    - Drop --parallel option, enabled by default
  * Refresh patches.
  * Add lintian override for broken-zip.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 24 Jun 2020 15:50:39 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
 Uploaders: Johan Van de Wauw <johan.vandewauw@gmail.com>
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10~),
                dh-python,
                gdal-bin,
                cython3,

## python-geopandas 0.8.2

=== doc/Makefile ===
--- 
+++ 
@@ -41,6 +41,7 @@
 clean:
 	-rm -rf $(BUILDDIR)/*
 	-rm -rf source/reference/*
+	-rm -rf source/gallery/*
 
 html:
 	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
@@ -152,3 +153,8 @@
 	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
 	@echo "Testing of doctests in the sources finished, look at the " \
 	      "results in $(BUILDDIR)/doctest/output.txt."
+
+dash: html
+	rm -rf geopandas.docset
+	doc2dash --name=geopandas _build/html
+

=== debian/changelog ===
python-geopandas (0.8.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Drop python3-pysal from Recommends.
  * Bump watch file version to 4.
  * Update lintian overrides.
  * Bump Standards-Version to 4.5.1, no changes.
  * Update lintian overrides.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 26 Jan 2021 05:57:40 +0100

=== debian/control ===
--- 
+++ 
@@ -28,7 +28,7 @@
                python3-six,
                python3-shapely,
                python3-sqlalchemy
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/python-geopandas/
 Vcs-Git: https://salsa.debian.org/debian-gis-team/python-geopandas.git
 Homepage: http://www.geopandas.org
@@ -46,7 +46,6 @@
             python3-geopy,
             python3-matplotlib,
             python3-psycopg2,
-            python3-pysal,
             python3-rtree
 Description: Python3 tools for geographic data
  GeoPandas is a project to add support for geographic data to

=== debian/watch ===
--- 
+++ 
@@ -1,4 +1,4 @@
-version=3
+version=4
 opts=\
 dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
 uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/,\

## python-geopandas 0.10.2

=== debian/changelog ===
python-geopandas (0.10.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 17 Oct 2021 07:42:58 +0200

python-geopandas (0.10.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 08 Oct 2021 15:14:53 +0200

python-geopandas (0.10.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump Standards-Version to 4.6.0, no changes.
  * Bump debhelper compat to 12, no changes.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 04 Oct 2021 05:46:19 +0200

python-geopandas (0.9.0-1) unstable; urgency=medium

  * Team upload.
  * Update watch file for GitHub URL changes.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 15 Aug 2021 17:03:03 +0200

python-geopandas (0.9.0-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Refresh patches.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 01 Mar 2021 06:30:50 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
 Uploaders: Johan Van de Wauw <johan.vandewauw@gmail.com>
-Build-Depends: debhelper (>= 10~),
+Build-Depends: debhelper-compat (= 12),
                dh-python,
                gdal-bin,
                cython3,
@@ -28,7 +28,7 @@
                python3-six,
                python3-shapely,
                python3-sqlalchemy
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/python-geopandas/
 Vcs-Git: https://salsa.debian.org/debian-gis-team/python-geopandas.git
 Homepage: http://www.geopandas.org

=== debian/watch ===
version=4
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/,\
filenamemangle=s/(?:.*\/)?(?:rel|v|geopandas)[\-\_]?(\d[\d\-\.]+)\.tar\.gz/geopandas-$1.tar.gz/ \
https://github.com/geopandas/geopandas/releases \
(?:.*?/archive/(?:.*?/)?)?(?:rel|v|geopandas)[\-\_]?(\d[\d\-\.]+)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-geopandas 0.11.1

=== debian/changelog ===
python-geopandas (0.11.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 24 Jul 2022 17:28:21 +0200

python-geopandas (0.11.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump Standards-Version to 4.6.1, no changes.
  * Update lintian overrides.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 22 Jun 2022 05:24:34 +0200

=== debian/control ===
--- 
+++ 
@@ -28,7 +28,7 @@
                python3-six,
                python3-shapely,
                python3-sqlalchemy
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/python-geopandas/
 Vcs-Git: https://salsa.debian.org/debian-gis-team/python-geopandas.git
 Homepage: http://www.geopandas.org

## python-geopandas 0.12.2

=== debian/changelog ===
python-geopandas (0.12.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
    (closes: #1025613)

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 11 Dec 2022 08:48:59 +0100

python-geopandas (0.12.1-2) unstable; urgency=medium

  * Team upload.
  * Drop python3-descartes from (build) dependencies.
  * Add Rules-Requires-Root to control file.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 01 Dec 2022 16:55:40 +0100

python-geopandas (0.12.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Refresh patches.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 29 Oct 2022 13:52:07 +0200

python-geopandas (0.12.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Drop python3-nose from build dependencies.
    (closes: #1018500)
  * Use pybuild-plugin-pyproject instead of python3-setuptools.
  * Update copyright file.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 24 Oct 2022 16:49:16 +0200

=== debian/control ===
--- 
+++ 
@@ -8,15 +8,14 @@
                gdal-bin,
                cython3,
                ipython3,
+               pybuild-plugin-pyproject,
                python3-all,
                python3-cartopy,
-               python3-descartes,
                python3-pyepsg,
                python3-fiona,
                python3-geopy,
                python3-matplotlib,
                python3-mock,
-               python3-nose,
                python3-numpy,
                python3-numpydoc,
                python3-pandas,
@@ -25,6 +24,7 @@
                python3-pytest-cov,
                python3-pytest,
                python3-rtree,
+               python3-setuptools,
                python3-six,
                python3-shapely,
                python3-sqlalchemy
@@ -32,6 +32,7 @@
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/python-geopandas/
 Vcs-Git: https://salsa.debian.org/debian-gis-team/python-geopandas.git
 Homepage: http://www.geopandas.org
+Rules-Requires-Root: no
 
 Package: python3-geopandas
 Architecture: all
@@ -42,8 +43,7 @@
          python3-six,
          ${python3:Depends},
          ${misc:Depends}
-Recommends: python3-descartes,
-            python3-geopy,
+Recommends: python3-geopy,
             python3-matplotlib,
             python3-psycopg2,
             python3-rtree

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 export PYBUILD_NAME=geopandas
 
 %:
-	dh  $@ --with python3 --buildsystem pybuild --parallel
+	dh  $@ --with python3 --buildsystem pybuild
 
 override_dh_clean:
 	dh_clean

## python-geopandas 0.13.2

=== debian/changelog ===
python-geopandas (0.13.2-3) unstable; urgency=medium

  * Team upload.
  * Don't run autopkgtest on s390x, big endian not supported.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 24 Jul 2023 06:36:32 +0200

python-geopandas (0.13.2-2) unstable; urgency=medium

  * Team upload.
  * Bump debhelper compat to 13.
  * Don't set environment variables in dh_auto_test override.
  * Use autopkgtest-pkg-pybuild testsuite.
  * Enable Salsa CI.
  * Preserve directory structure in pybuild build directory.
  * Drop obsolete python3-pyepsg build dependency.
    (closes: #1041760)

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 23 Jul 2023 10:03:07 +0200

python-geopandas (0.13.2-1) unstable; urgency=medium

  * Team upload.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 11 Jun 2023 14:28:40 +0200

python-geopandas (0.13.2-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 06 Jun 2023 12:28:27 +0200

python-geopandas (0.13.0-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Enable numpy3 dh helper.
  * Bump Standards-Version to 4.6.2, no changes.
  * Refresh patches.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 06 May 2023 16:15:42 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
 Uploaders: Johan Van de Wauw <johan.vandewauw@gmail.com>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                gdal-bin,
                cython3,
@@ -11,7 +11,6 @@
                pybuild-plugin-pyproject,
                python3-all,
                python3-cartopy,
-               python3-pyepsg,
                python3-fiona,
                python3-geopy,
                python3-matplotlib,
@@ -28,11 +27,12 @@
                python3-six,
                python3-shapely,
                python3-sqlalchemy
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/python-geopandas/
 Vcs-Git: https://salsa.debian.org/debian-gis-team/python-geopandas.git
 Homepage: http://www.geopandas.org
 Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: python3-geopandas
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

DEB_BUILD_ARCH ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)

export PYBUILD_NAME=geopandas
ifeq ($(PYBUILD_AUTOPKGTEST),1)
export PYBUILD_BEFORE_TEST=cp -v debian/nybb_*.zip examples/ && cp -rv examples/ {build_dir} && cp -rv geopandas/ {build_dir}
else
export PYBUILD_BEFORE_TEST=cp -v debian/nybb_*.zip examples/ && cp -rv examples/ {build_dir} && mkdir -p {build_dir}/geopandas/tests/ && cp -rv geopandas/tests/data/ {build_dir}/geopandas/tests/
endif
export PYBUILD_AFTER_TEST=rm -rfv {build_dir}/examples/ {build_dir}/tests/data/ && rm -f examples/nybb_*.zip
export PYBUILD_TEST_ARGS=-v \
 --ignore=geopandas/io/tests/test_file.py \
 --ignore=geopandas/tests/test_geocode.py \
 --ignore=geopandas/tests/test_overlay.py \
 --ignore=geopandas/tests/test_plotting.py \
 geopandas/

%:
	dh  $@ --with python3,numpy3 --buildsystem pybuild

override_dh_clean:
	dh_clean
	rm -f geopandas/version.py

override_dh_auto_install:
	dh_auto_install
	# Remove README with privacy-breach issues
	$(RM) debian/*/usr/lib/python*/dist-packages/geopandas/datasets/naturalearth_cities/naturalearth_cities.README.html
	$(RM) -r debian/*/usr/lib/python*/dist-packages/examples

## python-geopandas 0.14.3

=== debian/changelog ===
python-geopandas (0.14.3-2) unstable; urgency=medium

  * Team upload.

  [ Rebecca N. Palmer ]
  * Tests: ignore int32 vs int64 (closes: #1063435)

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 17 Feb 2024 08:31:24 +0100

python-geopandas (0.14.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 01 Feb 2024 05:35:27 +0100

python-geopandas (0.14.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 05 Jan 2024 06:32:36 +0100

python-geopandas (0.14.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 11 Nov 2023 14:25:33 +0100

python-geopandas (0.14.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Remove generated files in clean target.
  * Use execute_after instead of override in rules file.
  * Switch to dh-sequence-*.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 16 Sep 2023 07:29:26 +0200

=== debian/control ===
--- 
+++ 
@@ -5,6 +5,8 @@
 Uploaders: Johan Van de Wauw <johan.vandewauw@gmail.com>
 Build-Depends: debhelper-compat (= 13),
                dh-python,
+               dh-sequence-numpy3,
+               dh-sequence-python3,
                gdal-bin,
                cython3,
                ipython3,

## python-geopandas 0.14.4

=== debian/changelog ===
python-geopandas (0.14.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Drop obsolete python3-{mock,six} (build) dependencies.
    (closes: #1064866)
  * Refresh patches.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 28 Apr 2024 20:02:57 +0200

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,6 @@
                python3-fiona,
                python3-geopy,
                python3-matplotlib,
-               python3-mock,
                python3-numpy,
                python3-numpydoc,
                python3-pandas,
@@ -26,7 +25,6 @@
                python3-pytest,
                python3-rtree,
                python3-setuptools,
-               python3-six,
                python3-shapely,
                python3-sqlalchemy
 Standards-Version: 4.6.2
@@ -42,7 +40,6 @@
          python3-pandas,
          python3-pyproj,
          python3-shapely,
-         python3-six,
          ${python3:Depends},
          ${misc:Depends}
 Recommends: python3-geopy,
